<? $this->headScript()
	->appendFile(_st('signup.js'))
	->appendFile(_st('password-meter.js'))
	->appendScript("Cubix.Lang.signup = " . json_encode($this->signup_i18n) . ";")
	->appendScript("Cubix.Validator.Lang = '" . $this->lang() . "'"); ?>

<? $this->sitePath()->prepend($this->t('members_signup'), $this->getLink('signup')) ?>
<? $seo = $this->seo('signup-page', null, array(), true) ?>

<?= $this->headLink()->prependStylesheet(_st('passwordmeter.css')) ?>




<div class='two-cols'>
	<div class='leftcol'>
		<? if ( $this->type == 'member' ): ?>
		<div class='ban'>
			<div class='ban-i'>
				<a href="<?= $this->getLink('signup', array('type' => 'escort')) ?>"><img src='/img/banners/23.jpg' width='259' height='145' alt='Are you an independent escort, agency or a private club? Click here for your signup.' /><br /></a>
			</div>
		</div>
		<? endif ?>
		<div class='left-small-line'></div>
	</div><!-- leftcol -->

	<div class='rightcol'>
		<h1><img src='/img/<?= $this->lang() ?>_h1_<?= $this->type == 'member' ? 'members' : '' ?>signup.gif' alt='<?= $this->type == 'member' ? 'Members ' : '' ?>signup' /></h1>
		<div class='cbox-small'>
			<div class='cbox-small-i'>
				<div class='cbox-small-ii'>
					<? if ( $this->type == 'member'): ?>
					<div class='signup-info no-bg'>
						<?= $this->t('free_signup_advantages', array('sys_site_title' => Cubix_Application::getById(Cubix_Application::getId())->title)) ?>
						<p class='notice'>* <?= $this->t('are_you_escort') ?> <a href="<?= $this->getLink('signup', array('type' => 'escort')) ?>"><?= $this->t('click_here_your_signup') ?></a></p>
					</div>
					<div class='freesign-advant'> 
						<?= $this->t('signup_profit') ?>
					</div>
					<? else: ?>
					<div class='signup-info'><?= $this->t('signup_to_largest_escort_directory') ?></div>
	
					<div class='b-box'><div class='b-box-i'>
						<h2><?= $this->t('locally_available_in_countries') ?>:</h2>
					</div></div>
	
					<div class='signup-countries'>
						<?
							$apps = Model_Applications::getAll();
							$app_lines = array();
							
							for ( $i = 0; $i < ceil(count($apps) / 2); $i++ ) {
								$app_lines[] = array_slice($apps, $i * 2, 2);
							}
						?>
						<? foreach ( $app_lines as $line ): ?>
						<div class='signup-line'>
							<? foreach ( $line as $app ): ?>
							<div class='flag'>
								<a href='http://www.<?= $app->host ?>'><img src='/img/signup-flag_<?= $app->country_iso ?>.gif' alt='<?= $app->host ?> (<?= $app->country_title ?>)' /></a>
								<a href='http://www.<?= $app->host ?>'><?= $app->host ?> (<?= $app->country_title ?>)</a>
							</div>
							<? endforeach ?>
						</div>
						<? endforeach ?>
						<?= $this->t('one_signup_all_sites') ?>
					</div>

					<? endif ?>
					
					<form id='frmSignup' class='signup-form' action='' method='post'>
						<? if ( $this->type == 'member' ): ?>
						<div class='signup-bodky'></div>
						<input type='hidden' name='user_type' value='member'  />
						<? else: ?>
						<div class='b-box'><div class='b-box-i'>
							<h2><?= $this->t('please_choose_your_business') ?>:</h2>
						</div></div>
						
						<div class='signup-bodky'>
							<div class='divline'>
								<input id='user_type_escort' class='radiobox' type='radio' name='user_type' value='escort' checked='checked' />
								<label for='user_type_escort'><?= $this->t('independent_privat') ?></label>
							</div>
							
							<div class='divline'>
								<input id='user_type_agency' class='radiobox' type='radio' name='user_type' value='agency'  />
								<label for='user_type_agency'><?= $this->t('escort_agency') ?></label>
							</div>
						</div>
						<? endif ?>
						
						<div class='b-box'><div class='b-box-i b-box-i-left'>
							<h2><?= $this->t('please_fill_form') ?>:</h2>
						</div></div>

						<div class='signup-bodky'>
							<div class='divline'>
								<span class='label'><?= $this->t('username') ?>:</span>
								<input class='textinput<?= isset($this->errors['username']) ? ' invalid' : ' ' ?>' type='text' name='username' id='username' size='16' maxlength='24' value="<?= $this->data['username'] ?>" />
								<? if ( isset($this->errors['username']) ): ?>
								<div class="error"><?= $this->errors['username'] ?></div>
								<? endif ?>
							</div>
	
							<div class='divline'>
								<span class='label'><?= $this->t('password') ?>:</span>
								<input class='textinput<?= isset($this->errors['password']) ? ' invalid' : ' ' ?>' type='password' onkeyup="passwordStrength(this.value, 'passwordDescription', 'passwordStrength');" name='password' id='password' size='16' maxlength='30' value='' />
								<div id="pass_strength"> 
									<div id="passwordDescription">Password not entered</div>
									<div id="passwordStrength" class="strength0"></div>
								</div>

								<? if ( isset($this->errors['password']) ): ?>
								<div class="error"><?= $this->errors['password'] ?></div>
								<? endif ?>
							</div>
	
							<div class='divline'>
								<span class='label'><?= $this->t('conf_password') ?>:</span>
								<input class='textinput<?= isset($this->errors['password2']) ? ' invalid' : ' ' ?>' type='password' name='password2' id='password2' size='16' maxlength='30' value='' />
								<? if ( isset($this->errors['password2']) ): ?>
								<div class="error"><?= $this->errors['password2'] ?></div>
								<? endif ?>
							</div>
	
							<div class='divline'>
								<span class='label'><?= $this->t('email') ?>:</span>
								<input class='textinput<?= isset($this->errors['email']) ? ' invalid' : ' ' ?>' type='text' name='email' id='email' size='16' maxlength='64' value="<?= $this->data['email'] ?>" />
								<? if ( isset($this->errors['email']) ): ?>
								<div class="error"><?= $this->errors['email'] ?></div>
								<? endif ?>
							</div>
						</div>
						
						<script type="text/javascript">
							window.addEvent('domready', function() {
							   if ( $('terms-link') ) {
								   $('terms-link').addEvent('click', function(e) {
										e.stop();
										Cubix.ShowTerms('<?= $this->getLink('terms') ?>');
								   });
							   }
							});
						</script>
						
						<div class='divline accept'>
							<input id='terms' class='checkbox' type='checkbox' name='terms' value="1" />
							
							<label for='terms'><?= $this->t('i_agree_with_terms', array('LINK' => $this->getLink('terms'))) ?></label>
							<? if ( isset($this->errors['terms']) ): ?>
							<div class="error"><?= $this->errors['terms'] ?></div>
							<? endif ?>
						</div>
	
						<div class='divline'>
							<input class='btn btn-signup' type='submit' value='Sign up' />
							<input class='btn btn-reset' type='reset' value='Reset' />
						</div>
					</form>
				</div>
			</div>
		</div>
	</div><!-- rightcol -->
</div><!-- two-cols -->
